# Uses of Interface
org.opensaml.xmlsec.encryption.CarriedKeyName

Packages that use CarriedKeyName
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption
XMLObject interfaces and helper classes for representing encrypted content and encrypting/decrypting content.
org.opensaml.xmlsec.encryption.impl
Implementations of the interfaces for XMLObjects that represent XML encryption types.

## Uses of CarriedKeyName in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type CarriedKeyName
Modifier and Type
Field
Description
`private XMLEncryptionBuilder<CarriedKeyName>`
Encrypter.`carriedKeyNameBuilder`
Builder for CarriedKeyName objects.

## Uses of CarriedKeyName in org.opensaml.xmlsec.encryption

Methods in org.opensaml.xmlsec.encryption that return CarriedKeyName
Modifier and Type
Method
Description
`CarriedKeyName`
EncryptedKey.`getCarriedKeyName()`
Gets the child element carrying the human readable name for this key.
Methods in org.opensaml.xmlsec.encryption with parameters of type CarriedKeyName
Modifier and Type
Method
Description
`void`
EncryptedKey.`setCarriedKeyName(CarriedKeyName newCarriedKeyName)`
Sets the child element carrying the human readable name for this key.

## Uses of CarriedKeyName in org.opensaml.xmlsec.encryption.impl

Classes in org.opensaml.xmlsec.encryption.impl that implement CarriedKeyName
Modifier and Type
Class
Description
`class`
`CarriedKeyNameImpl`
Concrete implementation of `CarriedKeyName`.
Fields in org.opensaml.xmlsec.encryption.impl declared as CarriedKeyName
Modifier and Type
Field
Description
`private CarriedKeyName`
EncryptedKeyImpl.`carriedKeyName`
CarriedKeyName value.
Methods in org.opensaml.xmlsec.encryption.impl that return CarriedKeyName
Modifier and Type
Method
Description
`CarriedKeyName`
CarriedKeyNameBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`CarriedKeyName`
CarriedKeyNameBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`CarriedKeyName`
EncryptedKeyImpl.`getCarriedKeyName()`
Gets the child element carrying the human readable name for this key.
Methods in org.opensaml.xmlsec.encryption.impl with parameters of type CarriedKeyName
Modifier and Type
Method
Description
`void`
EncryptedKeyImpl.`setCarriedKeyName(CarriedKeyName newCarriedKeyName)`
Sets the child element carrying the human readable name for this key.